* addruck
    Erase
   Set print on
    ? trim(vorname1) +" "+ name1
    if vorname2 =" "
      set print off
    else
      ? trim(vorname2) +" "+ name2
      set print off
    endif
    set print on
    ? trim(prstrasse) +" "+ nr
    ? trim(plz) +" "+ Ort
    ? prtelefon
    ? co
    if dlstrasse =" "
      set print off
    else
      ? trim (dlstrasse) +" "+dlnr
      ? trim(dlplz) +" "+ dlort
      set print off
    endif
    ? dltelefon1
    ? dltelefon2
    ?
    Set print off
    Return
ff
    Return
sen
go top
erase
@ 5,5
Accept "Nachname" to mname
locate for mname$name1
store "j" to nochmals
do while (nochmals) <> "n"
  if eof
    do partner
    return
  endif
  ? trim(vorname1) +" "+ name1
  ? trim(vorname2) +" "+ name2
  ? trim(prstrasse) +" "+ nr
  ? trim(plz) +" "+ Ort
  ? prtelefon
  ? co
  ? trim(dlstrasse) +" "+ dlnr
  ? trim(dlplz) +" "+ dlort
  ? dltelefon1 + dltelefon2
  ?
  ? "Soll die Adresse ausgedruckt werden?"
  ? "Wenn ja,bitte 